Subject: Re: bug#4469: 23.1; visual-line-fringe-indicators w/ 80 column lines
From: Eli Zaretskii <[email-masked]>
To: Mauro Aranda <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 25 Mar 2025 14:53:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 25 Mar 2025 09:27:48 -0300
> Cc: Eli Zaretskii <[email-masked]>, Lars Ingebrigtsen <[email-masked]>
> From: Mauro Aranda <[email-masked]>
> 
> Reiner Steib <[email-masked]> writes:
> 
>  > Please describe exactly what actions triggered the bug
>  > and the precise symptoms of the bug:
>  >
>  > Consider the following file with line of exactly 80 columns:
>  >
>  > $ cat 80columns
>  > 
> 12345678901234567890123456789012345678901234567890123456789012345678901234567890
>  > line 
> 2...01234567890123456789012345678901234567890123456789012345678901234567890
>  > line 
> 3...01234567890123456789012345678901234567890123456789012345678901234567890
>  >
>  > $ emacs-23-1 -geometry 80x10 -Q \
>  >   --eval "(setq visual-line-fringe-indicators
>  >             '(left-curly-arrow right-curly-arrow))" 80columns
>  >
>  > The the buffer is displayed fine: Three lines that fit into 80 columns
>  > displayed in 3 "visual lines".
>  >
>  > x
>  >
>  >
>  > Then do M-x visual-line-mode RET and get this: "visual line breaks"
>  > are inserted.  The buffer is displayed as 6 "visual lines".
>  >
>  > x
>  >
>  >
>  > In fact, I now notice that setting visual-line-fringe-indicators is
>  > irrelevant for the bug.
>  >
>  > With ...
>  >
>  > $ emacs-23-1 -geometry 80x10 -Q 80columns -f visual-line-mode
>  >
>  > ... I get:
>  >
>  > x
>  >
>  >
>  > As the lines fit into 80 columns, visual-line-mode should not insert
>  > "visual line breaks".
>  >
> 
> I can't reproduce this bug.  I tried current master and emacs-27.

This mis-feature (not a bug) was fixed in Emacs 25.  Closing.